# Edge Payment Technologies, Inc {json:api} Specification Edge Payment Technologies offers payment solutions for merchants in diverse legal industries. To learn more about Edge's proposition see our [about](https://tryedge.io/about) page. ## Authentication Before starting with the API, you must [create a merchant account](https://dashboard.tryedge.io/register/your-details) and obtain API keys from the [Developer tab](https://dashboard.tryedge.io/developers) in your account dashboard. You will use the “Publishable key” with Edge JavaScript SDK and the “Secret key” with any SDK or HTTP API call. The Edge HTTP API requires in every request a `Authorization` header with a `Bearer` token. ## JSONAPI The Edge API is based upon REST principles, returns JSON responses, and uses standard HTTP response codes. We speficially use the [JSON:API](https://jsonapi.org/) specification. ## Browser SDK If you're wanting to use Edge Payment Technologies in the browser to make a charge you're going to need to include the Edge javascript SDK. The Edge JavaScript SDK is a toolkit for encrypting data in the browser. Using the Edge JavaScript SDK means your customer's data never leaves their browser unencrypted. You can get the URL to the SDK on the [Developers page](https://dashboard.tryedge.io/developers). Then after that you need to initialize the client: ```javascript const publishableToken = "publishableToken"; const formFactor = "inputs"; const paymentButton = document.querySelector("button#pay"); console.log("Initializing Edge JS with Payment ID:", paymentId); console.log("Publishable Key:", publishableToken); const edgeClient = new Edge(publishableToken, {}); ``` Once initialized you'll need to wait for webhook subscriptions in your backend, but you can also define optimistic javascript event callbacks: ```javascript edgeClient.on("payment_method_verifying", (payload) => { console.log("Verifying payment method", payload.detail); // ... }); edgeClient.on("payment_method_ready", (payload) => { console.log("Payment method ready", payload.detail); if (paymentButton) { // ... } }); edgeClient.on("payment_approved", (payload) => { console.log("Payment approved", payload.detail); }); edgeClient.on("subscription_approved", (payload) => { console.log("Subscription approved", payload.detail); // ... }); edgeClient.on("payment_method_verified", async (payload) => { console.log("Payment method verified", payload.detail); // ... }); edgeClient.on("payment_failed", (payload) => { console.log("Payment failed", payload.detail); // ... }); edgeClient.on("payment_timeout", (payload) => { console.log("Payment timeout", payload.detail); // ... }); // Pay button click triggers payment method verification paymentButton.addEventListener("click", function () { // ... edgeClient.verifyPaymentMethod().catch((err) => { console.error("Payment method verification failed", err); // ... }); }); ``` Finally you need to mount the edge client to the form: ```javascript edgeClient.mountPaymentForm("edge-js", paymentId); ``` ## Test Card Numbers (By network) | Card Number | 3DS Result | Network Result | | ------------------- | ---------------------------- | --------------------------- | | 4005519200000004 | Frictionless Success | Visa Success | | 4444333322221111455 | Frictionless Success | Visa (19 Digit Pan) Success | | 5406004444444443 | Frictionless Success | Mastercard Success | | 6011450103333333 | Frictionless Success | Discover Success | | 370000999999990 | Frictionless Success | AmEx Success | | 36006666333344 | Frictionless Success | Dinner's Club Success | | 6771798021000008 | Frictionless Success | Maestro Success | | 4124939999999990 | Frictionless Success | Generic Decline | | 4444333322221111 | Frictionless Success | Insufficient Funds | | 5555341244441115 | Frictionless Success | Lost Card | | 6011601160116611 | Frictionless Success | Stolen Card | | 370000000000002 | Frictionless Success | Incorrect CVC | | 4917300800000000 | Frictionless Success | Always Blocked | | 5407721000353481 | Frictionless Success | Highest risk | | 370000000100018 | Frictionless Rejection | - | | 5100060000000002 | Challenge Prompt | Success | | 4012000077777777 | Not Enrolled | - | | 4166676667666746 | Issuer Rejected, Unattempted | - | #### JSON:API Filtering EPT supports advanced filtering for all JSON:API resources via query parameters. You can filter by attributes, relationships, and relationship attributes using dot notation. Filter by a direct attribute: ``` GET /api/payment_demands?filter[status]=pending ``` Filter by a relationship's ID: ``` GET /api/payment_demands?filter[payer]= ``` Filter by an attribute of a related resource using dot notation: ``` GET /api/payment_demands?filter[payer.email]=john@example.com ``` This works for any resource and any relationship chain, e.g. `consumer_addresses?filter[customer.name]=John+Doe`. **Notes** - Multiple filters can be combined: `filter[status]=pending&filter[payer.email]=john@example.com` - Relationship chains of arbitrary depth are supported: `filter[merchant.account.owner.email]=ceo@acme.com` - All filters are applied as SQL `AND` conditions. Version: 1.0 License: CC0 1.0 Universal ## Servers ``` https://api.tryedge.test ``` Variables: ## Security ### bearerAuth Type: http Scheme: bearer ## Download OpenAPI description [Edge Payment Technologies, Inc {json:api} Specification](https://ept.redocly.app/_bundle/v2/openapi.yaml) ## Consumer Addresses Related to physical consumer locations ### List all records - [GET /v2/consumer_addresses](https://ept.redocly.app/v2/openapi/consumer-addresses/corehttp.consumeraddressescontroller.index.md) ### Create a new record - [POST /v2/consumer_addresses](https://ept.redocly.app/v2/openapi/consumer-addresses/corehttp.consumeraddressescontroller.create.md) ### Fetch related merchant - [GET /v2/consumer_addresses/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/consumer-addresses/corehttp.consumeraddressescontroller.related_merchant.md) ### Fetch by unique id - [GET /v2/consumer_addresses/{id}](https://ept.redocly.app/v2/openapi/consumer-addresses/corehttp.consumeraddressescontroller.show.md) ### Update by unique id - [PATCH /v2/consumer_addresses/{id}](https://ept.redocly.app/v2/openapi/consumer-addresses/corehttp.consumeraddressescontroller.update.md) ### Fetch related customer - [GET /v2/consumer_addresses/{id}/relationships/customer](https://ept.redocly.app/v2/openapi/consumer-addresses/corehttp.consumeraddressescontroller.related_customer.md) ## Customers Related to people who participate in a transaction ### List all records - [GET /v2/customers](https://ept.redocly.app/v2/openapi/customers/corehttp.customerscontroller.index.md) ### Create a new record - [POST /v2/customers](https://ept.redocly.app/v2/openapi/customers/corehttp.customerscontroller.create.md) ### A list of related payment_demands - [GET /v2/customers/{id}/relationships/payment_demands](https://ept.redocly.app/v2/openapi/customers/corehttp.customerscontroller.related_payment_demands.md) ### A list of related addresses - [GET /v2/customers/{id}/relationships/addresses](https://ept.redocly.app/v2/openapi/customers/corehttp.customerscontroller.related_addresses.md) ### Fetch by unique id - [GET /v2/customers/{id}](https://ept.redocly.app/v2/openapi/customers/corehttp.customerscontroller.show.md) ### Update by unique id - [PATCH /v2/customers/{id}](https://ept.redocly.app/v2/openapi/customers/corehttp.customerscontroller.update.md) ### Fetch related merchant - [GET /v2/customers/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/customers/corehttp.customerscontroller.related_merchant.md) ## Payment Methods Related to payment methods ### Fetch by unique id - [GET /v2/payment_methods/{id}](https://ept.redocly.app/v2/openapi/payment-methods/corehttp.paymentmethodscontroller.show.md) ### List all records - [GET /v2/payment_methods](https://ept.redocly.app/v2/openapi/payment-methods/corehttp.paymentmethodscontroller.index.md) ### Fetch related customer - [GET /v2/payment_methods/{id}/relationships/customer](https://ept.redocly.app/v2/openapi/payment-methods/corehttp.paymentmethodscontroller.related_customer.md) ### Fetch related merchant - [GET /v2/payment_methods/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/payment-methods/corehttp.paymentmethodscontroller.related_merchant.md) ### A list of related payment_demands - [GET /v2/payment_methods/{id}/relationships/payment_demands](https://ept.redocly.app/v2/openapi/payment-methods/corehttp.paymentmethodscontroller.related_payment_demands.md) ### Fetch related address - [GET /v2/payment_methods/{id}/relationships/address](https://ept.redocly.app/v2/openapi/payment-methods/corehttp.paymentmethodscontroller.related_address.md) ## Beneficial Owners Related to ownership of merchants ### List all records - [GET /v2/beneficial_owners](https://ept.redocly.app/v2/openapi/beneficial-owners/corehttp.beneficialownerscontroller.index.md) ### Create a new record - [POST /v2/beneficial_owners](https://ept.redocly.app/v2/openapi/beneficial-owners/corehttp.beneficialownerscontroller.create.md) ### Fetch related personal_identification - [GET /v2/beneficial_owners/{id}/relationships/personal_identification](https://ept.redocly.app/v2/openapi/beneficial-owners/corehttp.beneficialownerscontroller.related_personal_identification.md) ### Find by unique id - [GET /v2/beneficial_owners/{id}](https://ept.redocly.app/v2/openapi/beneficial-owners/corehttp.beneficialownerscontroller.show.md) ### Fetch related merchant - [GET /v2/beneficial_owners/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/beneficial-owners/corehttp.beneficialownerscontroller.related_merchant.md) ## Corporate Officials Related to corporate responsibilities of merchants ### List all records - [GET /v2/corporate_officials](https://ept.redocly.app/v2/openapi/corporate-officials/corehttp.corporateofficialscontroller.index.md) ### Create a new record - [POST /v2/corporate_officials](https://ept.redocly.app/v2/openapi/corporate-officials/corehttp.corporateofficialscontroller.create.md) ### Fetch related merchant - [GET /v2/corporate_officials/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/corporate-officials/corehttp.corporateofficialscontroller.related_merchant.md) ### Fetch related personal_identification - [GET /v2/corporate_officials/{id}/relationships/personal_identification](https://ept.redocly.app/v2/openapi/corporate-officials/corehttp.corporateofficialscontroller.related_personal_identification.md) ### Fetch by unique id - [GET /v2/corporate_officials/{id}](https://ept.redocly.app/v2/openapi/corporate-officials/corehttp.corporateofficialscontroller.show.md) ## Financial Institutions Related to known financial institutions in the edge network ### List all records - [GET /v2/financial_institutions](https://ept.redocly.app/v2/openapi/financial-institutions/corehttp.financialinstitutionscontroller.index.md) ### Fetch related personal_identification - [GET /v2/financial_institutions/{id}/relationships/personal_identification](https://ept.redocly.app/v2/openapi/financial-institutions/corehttp.financialinstitutionscontroller.related_personal_identification.md) ### Fetch by unique id - [GET /v2/financial_institutions/{id}](https://ept.redocly.app/v2/openapi/financial-institutions/corehttp.financialinstitutionscontroller.show.md) ## Legal Addresses Related to physical locations for legal purposes ### Fetch by unique id - [GET /v2/legal_addresses/{id}](https://ept.redocly.app/v2/openapi/legal-addresses/corehttp.legaladdressescontroller.show.md) ### List all records - [GET /v2/legal_addresses](https://ept.redocly.app/v2/openapi/legal-addresses/corehttp.legaladdressescontroller.index.md) ### Create a new record - [POST /v2/legal_addresses](https://ept.redocly.app/v2/openapi/legal-addresses/corehttp.legaladdressescontroller.create.md) ## Personal Identifications Related to personal information for people ### A list of related corporate_officials - [GET /v2/personal_identifications/{id}/relationships/corporate_officials](https://ept.redocly.app/v2/openapi/personal-identifications/corehttp.personalidentificationscontroller.related_corporate_officials.md) ### Fetch related merchant - [GET /v2/personal_identifications/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/personal-identifications/corehttp.personalidentificationscontroller.related_merchant.md) ### List all records - [GET /v2/personal_identifications](https://ept.redocly.app/v2/openapi/personal-identifications/corehttp.personalidentificationscontroller.index.md) ### Create a new record - [POST /v2/personal_identifications](https://ept.redocly.app/v2/openapi/personal-identifications/corehttp.personalidentificationscontroller.create.md) ### A list of related beneficial_owners - [GET /v2/personal_identifications/{id}/relationships/beneficial_owners](https://ept.redocly.app/v2/openapi/personal-identifications/corehttp.personalidentificationscontroller.related_beneficial_owners.md) ### Fetch related legal_address - [GET /v2/personal_identifications/{id}/relationships/legal_address](https://ept.redocly.app/v2/openapi/personal-identifications/corehttp.personalidentificationscontroller.related_legal_address.md) ### Fetch by unique id - [GET /v2/personal_identifications/{id}](https://ept.redocly.app/v2/openapi/personal-identifications/corehttp.personalidentificationscontroller.show.md) ## Processor Details Related to payment processor information ### Fetch by unique id - [GET /v2/processor_details/{id}](https://ept.redocly.app/v2/openapi/processor-details/corehttp.processordetailscontroller.show.md) ### Fetch related merchant - [GET /v2/processor_details/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/processor-details/corehttp.processordetailscontroller.related_merchant.md) ### List all records - [GET /v2/processor_details](https://ept.redocly.app/v2/openapi/processor-details/corehttp.processordetailscontroller.index.md) ### A list of related merchant_tokens - [GET /v2/processor_details/{id}/relationships/merchant_tokens](https://ept.redocly.app/v2/openapi/processor-details/corehttp.processordetailscontroller.related_merchant_tokens.md) ## Events Related to events ### List all records - [GET /v2/events](https://ept.redocly.app/v2/openapi/events/corehttp.eventscontroller.index.md) ### Fetch related merchant - [GET /v2/events/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/events/corehttp.eventscontroller.related_merchant.md) ### Fetch by unique id - [GET /v2/events/{id}](https://ept.redocly.app/v2/openapi/events/corehttp.eventscontroller.show.md) ## Integrations Related to third party services ### Fetch by unique id - [GET /v2/integrations/{id}](https://ept.redocly.app/v2/openapi/integrations/corehttp.integrationscontroller.show.md) ### A list of related merchant_integrations - [GET /v2/integrations/{id}/relationships/merchant_integrations](https://ept.redocly.app/v2/openapi/integrations/corehttp.integrationscontroller.related_merchant_integrations.md) ### List all records - [GET /v2/integrations](https://ept.redocly.app/v2/openapi/integrations/corehttp.integrationscontroller.index.md) ## Merchant Integrations Related to the direct integration of services to merchants ### List all records - [GET /v2/merchant_integrations](https://ept.redocly.app/v2/openapi/merchant-integrations/corehttp.merchantintegrationscontroller.index.md) ### Fetch by unique id - [GET /v2/merchant_integrations/{id}](https://ept.redocly.app/v2/openapi/merchant-integrations/corehttp.merchantintegrationscontroller.show.md) ### Fetch related merchant - [GET /v2/merchant_integrations/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/merchant-integrations/corehttp.merchantintegrationscontroller.related_merchant.md) ### Fetch related integration - [GET /v2/merchant_integrations/{id}/relationships/integration](https://ept.redocly.app/v2/openapi/merchant-integrations/corehttp.merchantintegrationscontroller.related_integration.md) ### Fetch related merchant_token - [GET /v2/merchant_integrations/{id}/relationships/merchant_token](https://ept.redocly.app/v2/openapi/merchant-integrations/corehttp.merchantintegrationscontroller.related_merchant_token.md) ## Webhook Deliveries Related to information about webhook delieveries ### Fetch related merchant - [GET /v2/webhook_deliveries/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/webhook-deliveries/corehttp.webhookdeliveriescontroller.related_merchant.md) ### Fetch related event - [GET /v2/webhook_deliveries/{id}/relationships/event](https://ept.redocly.app/v2/openapi/webhook-deliveries/corehttp.webhookdeliveriescontroller.related_event.md) ### List all records - [GET /v2/webhook_deliveries](https://ept.redocly.app/v2/openapi/webhook-deliveries/corehttp.webhookdeliveriescontroller.index.md) ### Fetch by unique id - [GET /v2/webhook_deliveries/{id}](https://ept.redocly.app/v2/openapi/webhook-deliveries/corehttp.webhookdeliveriescontroller.show.md) ### Fetch related webhook_subscription - [GET /v2/webhook_deliveries/{id}/relationships/webhook_subscription](https://ept.redocly.app/v2/openapi/webhook-deliveries/corehttp.webhookdeliveriescontroller.related_webhook_subscription.md) ## Webhook Subscriptions Related to the subscriptions to notifications of events ### Fetch related merchant - [GET /v2/webhook_subscriptions/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/webhook-subscriptions/corehttp.webhooksubscriptionscontroller.related_merchant.md) ### List all records - [GET /v2/webhook_subscriptions](https://ept.redocly.app/v2/openapi/webhook-subscriptions/corehttp.webhooksubscriptionscontroller.index.md) ### Create a new record - [POST /v2/webhook_subscriptions](https://ept.redocly.app/v2/openapi/webhook-subscriptions/corehttp.webhooksubscriptionscontroller.create.md) ### Fetch by unique id - [GET /v2/webhook_subscriptions/{id}](https://ept.redocly.app/v2/openapi/webhook-subscriptions/corehttp.webhooksubscriptionscontroller.show.md) ### A list of related webhook_deliveries - [GET /v2/webhook_subscriptions/{id}/relationships/webhook_deliveries](https://ept.redocly.app/v2/openapi/webhook-subscriptions/corehttp.webhooksubscriptionscontroller.related_webhook_deliveries.md) ## Payment Demands Related to transactions ### Fetch related payer - [GET /v2/payment_demands/{id}/relationships/payer](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.related_payer.md) ### Fetch related buyer - [GET /v2/payment_demands/{id}/relationships/buyer](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.related_buyer.md) ### List all records - [GET /v2/payment_demands](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.index.md) ### Create a new payment demand - [POST /v2/payment_demands](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.create.md) ### Fetch related receiver - [GET /v2/payment_demands/{id}/relationships/receiver](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.related_receiver.md) ### Fetch related merchant - [GET /v2/payment_demands/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.related_merchant.md) ### Confirm a payment demand as ready for processing - [PATCH /v2/payment_demands/{id}/confirm](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.confirm.md) ### Fetch related shipping_address - [GET /v2/payment_demands/{id}/relationships/shipping_address](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.related_shipping_address.md) ### Fetch by unique id - [GET /v2/payment_demands/{id}](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.show.md) ### Update an incomplete payment demand to prepare it for processing - [PATCH /v2/payment_demands/{id}](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.update.md) ### Fetch related billing_address - [GET /v2/payment_demands/{id}/relationships/billing_address](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.related_billing_address.md) ### Fetch related payment_method - [GET /v2/payment_demands/{id}/relationships/payment_method](https://ept.redocly.app/v2/openapi/payment-demands/corehttp.paymentdemandscontroller.related_payment_method.md) ## Refund Demands Related to refunds ### Fetch related merchant - [GET /v2/refund_demands/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/refund-demands/corehttp.refunddemandscontroller.related_merchant.md) ### List all records - [GET /v2/refund_demands](https://ept.redocly.app/v2/openapi/refund-demands/corehttp.refunddemandscontroller.index.md) ### Create a new refund demand - [POST /v2/refund_demands](https://ept.redocly.app/v2/openapi/refund-demands/corehttp.refunddemandscontroller.create.md) ### Fetch a singular record by its unique id - [GET /v2/refund_demands/{id}](https://ept.redocly.app/v2/openapi/refund-demands/corehttp.refunddemandscontroller.show.md) ### Fetch related payment_demand - [GET /v2/refund_demands/{id}/relationships/payment_demand](https://ept.redocly.app/v2/openapi/refund-demands/corehttp.refunddemandscontroller.related_payment_demand.md) ## Payment Subscriptions Related to recurring payments ### Fetch related shipping_address - [GET /v2/payment_subscriptions/{id}/relationships/shipping_address](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.related_shipping_address.md) ### Fetch related payment_method - [GET /v2/payment_subscriptions/{id}/relationships/payment_method](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.related_payment_method.md) ### Fetch related payer - [GET /v2/payment_subscriptions/{id}/relationships/payer](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.related_payer.md) ### Confirm a payment subscription as ready for processing - [PATCH /v2/payment_subscriptions/{id}/confirm](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.confirm.md) ### Fetch related billing_address - [GET /v2/payment_subscriptions/{id}/relationships/billing_address](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.related_billing_address.md) ### Fetch related merchant - [GET /v2/payment_subscriptions/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.related_merchant.md) ### Fetch by unique id - [GET /v2/payment_subscriptions/{id}](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.show.md) ### List all records - [GET /v2/payment_subscriptions](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.index.md) ### Create a new record - [POST /v2/payment_subscriptions](https://ept.redocly.app/v2/openapi/payment-subscriptions/corehttp.paymentsubscriptionscontroller.create.md) ## Account Alerts Relating to alerts and notifications ### List all records - [GET /v2/account_alerts](https://ept.redocly.app/v2/openapi/account-alerts/corehttp.accountalertscontroller.index.md) ### Fetch related red_flag - [GET /v2/account_alerts/{id}/relationships/red_flag](https://ept.redocly.app/v2/openapi/account-alerts/corehttp.accountalertscontroller.related_red_flag.md) ### Show a account_alerts accessible by the token - [GET /v2/account_alerts/{id}](https://ept.redocly.app/v2/openapi/account-alerts/corehttp.accountalertscontroller.show.md) ### Fetch related merchant - [GET /v2/account_alerts/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/account-alerts/corehttp.accountalertscontroller.related_merchant.md) ## Accounts Relating to user accounts and profiles ### A list of related memberships - [GET /v2/accounts/{id}/relationships/memberships](https://ept.redocly.app/v2/openapi/accounts/corehttp.accountscontroller.related_memberships.md) ### Show an account accessible by the token - [GET /v2/accounts/{id}](https://ept.redocly.app/v2/openapi/accounts/corehttp.accountscontroller.show.md) ### List all records - [GET /v2/accounts](https://ept.redocly.app/v2/openapi/accounts/corehttp.accountscontroller.index.md) ### Fetch related personal_identification - [GET /v2/accounts/{id}/relationships/personal_identification](https://ept.redocly.app/v2/openapi/accounts/corehttp.accountscontroller.related_personal_identification.md) ## Memberships Related to account memberships of merchants ### List all records - [GET /v2/memberships](https://ept.redocly.app/v2/openapi/memberships/corehttp.membershipscontroller.index.md) ### Create a new record - [POST /v2/memberships](https://ept.redocly.app/v2/openapi/memberships/corehttp.membershipscontroller.create.md) ### Fetch related merchant - [GET /v2/memberships/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/memberships/corehttp.membershipscontroller.related_merchant.md) ### A list of related permissions - [GET /v2/memberships/{id}/relationships/permissions](https://ept.redocly.app/v2/openapi/memberships/corehttp.membershipscontroller.related_permissions.md) ### Fetch related account - [GET /v2/memberships/{id}/relationships/account](https://ept.redocly.app/v2/openapi/memberships/corehttp.membershipscontroller.related_account.md) ### Fetch by unique id - [GET /v2/memberships/{id}](https://ept.redocly.app/v2/openapi/memberships/corehttp.membershipscontroller.show.md) ## Merchant Punitive Actions Related to punitive actions against merchants ### Fetch related merchant - [GET /v2/merchant_punitive_actions/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/merchant-punitive-actions/corehttp.merchantpunitiveactionscontroller.related_merchant.md) ### Show specific merchant_punitive_actions accessible by the token - [GET /v2/merchant_punitive_actions/{id}](https://ept.redocly.app/v2/openapi/merchant-punitive-actions/corehttp.merchantpunitiveactionscontroller.show.md) ### List all records - [GET /v2/merchant_punitive_actions](https://ept.redocly.app/v2/openapi/merchant-punitive-actions/corehttp.merchantpunitiveactionscontroller.index.md) ### Fetch related red_flag - [GET /v2/merchant_punitive_actions/{id}/relationships/red_flag](https://ept.redocly.app/v2/openapi/merchant-punitive-actions/corehttp.merchantpunitiveactionscontroller.related_red_flag.md) ## Merchant Tokens Related to API tokens ### Fetch related merchant - [GET /v2/merchant_tokens/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/merchant-tokens/corehttp.merchanttokenscontroller.related_merchant.md) ### A list of related permissions - [GET /v2/merchant_tokens/{id}/relationships/permissions](https://ept.redocly.app/v2/openapi/merchant-tokens/corehttp.merchanttokenscontroller.related_permissions.md) ### Fetch related processor_detail - [GET /v2/merchant_tokens/{id}/relationships/processor_detail](https://ept.redocly.app/v2/openapi/merchant-tokens/corehttp.merchanttokenscontroller.related_processor_detail.md) ### Fetch by unique id - [GET /v2/merchant_tokens/{id}](https://ept.redocly.app/v2/openapi/merchant-tokens/corehttp.merchanttokenscontroller.show.md) ### List all records - [GET /v2/merchant_tokens](https://ept.redocly.app/v2/openapi/merchant-tokens/corehttp.merchanttokenscontroller.index.md) ### Create a new record - [POST /v2/merchant_tokens](https://ept.redocly.app/v2/openapi/merchant-tokens/corehttp.merchanttokenscontroller.create.md) ## Merchants Relating to merchant businesses ### A list of related corporate_officials - [GET /v2/merchants/{id}/relationships/corporate_officials](https://ept.redocly.app/v2/openapi/merchants/corehttp.merchantscontroller.related_corporate_officials.md) ### A list of related beneficial_owners - [GET /v2/merchants/{id}/relationships/beneficial_owners](https://ept.redocly.app/v2/openapi/merchants/corehttp.merchantscontroller.related_beneficial_owners.md) ### A list of related payment_demands - [GET /v2/merchants/{id}/relationships/payment_demands](https://ept.redocly.app/v2/openapi/merchants/corehttp.merchantscontroller.related_payment_demands.md) ### List all records - [GET /v2/merchants](https://ept.redocly.app/v2/openapi/merchants/corehttp.merchantscontroller.index.md) ### A list of related customers - [GET /v2/merchants/{id}/relationships/customers](https://ept.redocly.app/v2/openapi/merchants/corehttp.merchantscontroller.related_customers.md) ### Fetch by unique id - [GET /v2/merchants/{id}](https://ept.redocly.app/v2/openapi/merchants/corehttp.merchantscontroller.show.md) ### A list of related payment_methods - [GET /v2/merchants/{id}/relationships/payment_methods](https://ept.redocly.app/v2/openapi/merchants/corehttp.merchantscontroller.related_payment_methods.md) ## Permissions Related to membership permissions ### List all records - [GET /v2/permissions](https://ept.redocly.app/v2/openapi/permissions/corehttp.permissionscontroller.index.md) ### Fetch by unique id - [GET /v2/permissions/{id}](https://ept.redocly.app/v2/openapi/permissions/corehttp.permissionscontroller.show.md) ### A list of related merchant_tokens - [GET /v2/permissions/{id}/relationships/merchant_tokens](https://ept.redocly.app/v2/openapi/permissions/corehttp.permissionscontroller.related_merchant_tokens.md) ## Red Flags Related to official notices against merchants ### Fetch by unique id - [GET /v2/red_flags/{id}](https://ept.redocly.app/v2/openapi/red-flags/corehttp.redflagscontroller.show.md) ### Fetch related merchant - [GET /v2/red_flags/{id}/relationships/merchant](https://ept.redocly.app/v2/openapi/red-flags/corehttp.redflagscontroller.related_merchant.md) ### List all records - [GET /v2/red_flags](https://ept.redocly.app/v2/openapi/red-flags/corehttp.redflagscontroller.index.md)